LoggingManager (Gradle API 7.6.4)

Package org.gradle.api.logging

## Interface LoggingManager

- All Superinterfaces:
    `LoggingOutput`

      public interface LoggingManager
      extends LoggingOutput

  A `LoggingManager` provides access to and control over the Gradle logging system. Using this interface, you can control standard output and error capture and receive logging events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LoggingManager` | `captureStandardError​(LogLevel level)` | Requests that output written to System.err be routed to Gradle's logging system.
    `LoggingManager` | `captureStandardOutput​(LogLevel level)` | Requests that output written to System.out be routed to Gradle's logging system.
    `LogLevel` | `getLevel()` | Returns the current logging level.
    `LogLevel` | `getStandardErrorCaptureLevel()` | Returns the log level that output written to System.err will be mapped to.
    `LogLevel` | `getStandardOutputCaptureLevel()` | Returns the log level that output written to System.out will be mapped to.

    - ### Methods inherited from interface org.gradle.api.logging.LoggingOutput

      `addStandardErrorListener, addStandardOutputListener, removeStandardErrorListener, removeStandardOutputListener`

- - ### Method Detail

    - #### captureStandardOutput

          LoggingManager captureStandardOutput​(LogLevel level)

      Requests that output written to System.out be routed to Gradle's logging system. The default is that System.out is routed to `LogLevel.QUIET`
      Parameters:
        `level` - The log level to route System.out to.
      Returns:
        this

    - #### captureStandardError

          LoggingManager captureStandardError​(LogLevel level)

      Requests that output written to System.err be routed to Gradle's logging system. The default is that System.err is routed to `LogLevel.ERROR`.
      Parameters:
        `level` - The log level to route System.err to.
      Returns:
        this

    - #### getStandardOutputCaptureLevel

          LogLevel getStandardOutputCaptureLevel()

      Returns the log level that output written to System.out will be mapped to.
      Returns:
        The log level. Returns null when standard output capture is disabled.

    - #### getStandardErrorCaptureLevel

          LogLevel getStandardErrorCaptureLevel()

      Returns the log level that output written to System.err will be mapped to.
      Returns:
        The log level. Returns null when standard error capture is disabled.

    - #### getLevel

          LogLevel getLevel()

      Returns the current logging level.
      Returns:
        The current logging level.